Subject: native plants

From: [email-masked] (RBGold1)
Date: 17 Jun 1995 12:09:42 -0400

Is there a newsgroup about native plants?  I just read Noah's Garden and
it makes so much sence to me, although I know almost nothing about plants.
  I'm so excited!  I wish I knew how to get more information.  Thanks